phing-tasks-system-condition

# Class: IsTrueCondition Source Location: /tasks/system/condition/IsTrueCondition.php
### Class Overview
    ProjectComponent
       |
       --IsTrueCondition
Condition that tests whether a given string evals to true. #### Author(s): Steve Loughran (Ant) Hans Lellelid <hans@xmpl.org> (Phing) #### Version: $Revision: 526 $ Implements interfaces: Condition | ### Methods evaluate setValue
### Inherited Variables #### Class: ProjectComponent ProjectComponent::$project | ### Inherited Methods #### Class: ProjectComponent ProjectComponent::getProject() Returns a reference to current project ProjectComponent::log() Logs a message with the given priority. ProjectComponent::setProject() References the project to the current component.
### Class Details [line 32] Condition that tests whether a given string evals to true. #### Tags:
author: | Steve Loughran (Ant)
author: | Hans Lellelid <hans@xmpl.org> (Phing)
version: | $Revision: 526 $
[ Top ] ### Class Methods ### method evaluate [line 51]
`void evaluate( )`
return the inverted value; #### Tags:
throws: | BuildException if someone forgot to spec a value
access: | public
Implementation of: Condition::evaluate() [ Top ] ### method setValue [line 43]
`void setValue( boolean $value)`
Set the value to be tested. #### Tags:
access: | public
#### Parameters:
boolean | $value |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:09 +0200 by phpDocumentor 1.4.3